PDA

View Full Version : Mac Client Crashes after selecting the server onto log in



mrjosom
04-16-2020, 06:43 AM
Hello Folks,
I've downloaded Dungeons and Dragons Online Client via Steam on my iMac. I've got a iMac mid 2011 with a High Sierra 10.13.6.
I've downloaded the game and when I launch it I have the report as shown below.
I know that I can download the wine client from the game website, but the wine client cannot be accelerated by my eGPU, so I decided to use the steam client to run DDO.
The error I get is the following:

"Termination Reason: DYLD, [0x1] Library missing"
Application Specific Information:
dyld: launch, loading dependent libraries
DYLD_FALLBACK_LIBRARY_PATH=/Users/giuseppe/Library/Application Support/Steam/Steam.AppBundle/Steam/Contents/MacOS:/Users/giuseppe/Library/Application Support/Steam/steamapps/common/Dungeons and Dragons Online:/Users/giuseppe/Library/Application Support/Steam/steamapps/common/Dungeons and Dragons Online/bin:/usr/local/lib:/lib:/usr/lib
DYLD_INSERT_LIBRARIES=/Users/giuseppe/Library/Application Support/Steam/Steam.AppBundle/Steam/Contents/MacOS/gameoverlayrenderer.dylib:/Users/giuseppe/Library/Application Support/Steam/Steam.AppBundle/Steam/Contents/MacOS/steamloader.dylib
DYLD_LIBRARY_PATH=

Dyld Error Message:
Library not loaded: @loader_path/../Frameworks/Awesomium.framework/Versions/Current/Awesomium
Referenced from: /Users/USER/Library/Application Support/Steam/*/DNDLauncher.app/Contents/Resources/dndclient.app/Contents/MacOS/dndclient
Reason: image not found

Any suggestion? I'm a normal Mac user and I'm not used with the script stuffs.
Please help me, thanks a lot.

AstorPotamus
04-16-2020, 11:05 AM
Yeah, they outright killed the old Mac client soon after releasing the current wine client. I’m not sure why it’s still on Steam, but it shouldn’t.

Btw, I miss the old client until I remind myself of the bajillion times floors & walls would completely disappear, because there’s nothing quite like blue sky in a subterranean dungeon.

Also, installing the Wine client won’t require any scripting unless you upgrade your OS to Catalina.

mrjosom
04-16-2020, 11:17 AM
Yeah, they outright killed the old Mac client soon after releasing the current wine client. I’m not sure why it’s still on Steam, but it shouldn’t.

Btw, I miss the old client until I remind myself of the bajillion times floors & walls would completely disappear, because there’s nothing quite like blue sky in a subterranean dungeon.

Also, installing the Wine client won’t require any scripting unless you upgrade your OS to Catalina.

ohuch. I wasn't aware of it. I'm currently using the wine client, but as I said I'm having issues on accelerating it with an eGPU. Even with the set-egpu script, seems that the wine client still uses the embedded GPU, which in my case drops the graphic quality of the game to rubbish. That's why I was trying to get the steam client. Anyway, thx for the advice.
I will not upgrade to Catalina since my iMac is so old that I cannot upgrade the OS higher than High Sierra.
On the other hand, I will stop playing on Mac as soon as I finish to set my new workstation with MSI laptop, eGPU, and a brand new DPI gaming screen.
Thx again.
Stay safe and tc